Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
PUT

Update a task

Scope: projects:projects.write https://api.alladdin.com/api/v2/tasks/{taskId}

Updates an existing task.

Parameters

Path parameters

taskId string required

Task ID

Request body

object project_id string

Project ID

name string

Task name

description string | null

Task description

due_date string<date> | null

Due date in ISO 8601

priority integer | null

Task priority

status string | null

Task status

assigned_to[] string[] | null

Assigned user IDs

Request

python
import requests

url = "https://api.alladdin.com/api/v2/tasks/{taskId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "project_id": "string",
    "name": "string",
    "description": "string",
    "due_date": "2024-01-15",
    "priority": 0,
    "status": "string",
    "assigned_to": [
        "string"
    ]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "string"
}

Success responses

200 Task updated application/json object id string

Error responses

400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Task not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json

← PreviousCreate a task →

Next →List all tasks →